# Uses of Interface
org.eclipse.emf.compare.domain.ICompareEditingDomain

Packages that use ICompareEditingDomain
Package
Description
org.eclipse.emf.compare.domain.impl
org.eclipse.emf.compare.ide.ui.internal.configuration
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util
org.eclipse.emf.compare.ide.ui.internal.editor
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions
org.eclipse.emf.compare.rcp.ui.internal.configuration
org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.domain.impl

Classes in org.eclipse.emf.compare.domain.impl that implement ICompareEditingDomain
Modifier and Type
Class
Description
`class`
`EMFCompareEditingDomain`
Default implementation that use a change recorder in the background to record the changes made by executed commands.
Methods in org.eclipse.emf.compare.domain.impl that return ICompareEditingDomain
Modifier and Type
Method
Description
`static ICompareEditingDomain`
EMFCompareEditingDomain.`create(Notifier left, Notifier right, Notifier ancestor)`
Creates a new compare editing domain on the given notifier with an appropriate `ICompareCommandStack` set up on it.
`static ICompareEditingDomain`
EMFCompareEditingDomain.`create(Notifier left, Notifier right, Notifier ancestor, CommandStack commandStack)`
Equivalent to `create(left, right, ancestor, commandStack, null)`.
`static ICompareEditingDomain`
EMFCompareEditingDomain.`create(Notifier left, Notifier right, Notifier ancestor, CommandStack leftCommandStack, CommandStack rightCommandStack)`
Creates a new compare editing domain on the given notifier with an appropriate `ICompareCommandStack` set up on it.

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.ide.ui.internal.configuration

Methods in org.eclipse.emf.compare.ide.ui.internal.configuration that return ICompareEditingDomain
Modifier and Type
Method
Description
`ICompareEditingDomain`
EMFCompareConfiguration.`getEditingDomain()`
Methods in org.eclipse.emf.compare.ide.ui.internal.configuration with parameters of type ICompareEditingDomain
Modifier and Type
Method
Description
`void`
EMFCompareConfiguration.`setEditingDomain(ICompareEditingDomain newValue)`

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer with parameters of type ICompareEditingDomain
Modifier and Type
Method
Description
`protected void`
EMFCompareContentMergeViewer.`editingDomainChange(ICompareEditingDomain oldValue, ICompareEditingDomain newValue)`

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label with parameters of type ICompareEditingDomain
Modifier and Type
Method
Description
`void`
LabelContentViewer.`editingDomainChange(ICompareEditingDomain oldValue, ICompareEditingDomain newValue)`

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.text with parameters of type ICompareEditingDomain
Modifier and Type
Method
Description
`void`
EMFCompareTextMergeViewer.`editingDomainChange(ICompareEditingDomain oldValue, ICompareEditingDomain newValue)`

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util

Fields in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util declared as ICompareEditingDomain
Modifier and Type
Field
Description
`protected ICompareEditingDomain`
RedoAction.`domain`
`protected ICompareEditingDomain`
UndoAction.`domain`
Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util with parameters of type ICompareEditingDomain
Modifier and Type
Method
Description
`void`
RedoAction.`setEditingDomain(ICompareEditingDomain domain)`
`void`
UndoAction.`setEditingDomain(ICompareEditingDomain domain)`
Constructors in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.util with parameters of type ICompareEditingDomain
Modifier
Constructor
Description
``
`RedoAction(ICompareEditingDomain domain)`
``
`UndoAction(ICompareEditingDomain domain)`

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.ide.ui.internal.editor

Methods in org.eclipse.emf.compare.ide.ui.internal.editor that return ICompareEditingDomain
Modifier and Type
Method
Description
`protected ICompareEditingDomain`
AbstractEMFCompareEditorInput.`getEditingDomain()`
Returns the editing domain as given to the constructor.
Constructors in org.eclipse.emf.compare.ide.ui.internal.editor with parameters of type ICompareEditingDomain
Modifier
Constructor
Description
``
`AbstractEMFCompareEditorInput(EMFCompareConfiguration configuration, ICompareEditingDomain editingDomain, AdapterFactory adapterFactory)`
Constructor that call super with an unmodified `CompareConfiguration`.
``
`ComparisonEditorInput(EMFCompareConfiguration configuration, Comparison comparison, ICompareEditingDomain editingDomain, AdapterFactory adapterFactory)`
``
`ComparisonScopeEditorInput(EMFCompareConfiguration configuration, ICompareEditingDomain editingDomain, AdapterFactory adapterFactory, EMFCompare comparator, IComparisonScope scope)`

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions

Fields in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions declared as ICompareEditingDomain
Modifier and Type
Field
Description
`protected ICompareEditingDomain`
MergeAction.`editingDomain`
Methods in org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.actions with parameters of type ICompareEditingDomain
Modifier and Type
Method
Description
`final void`
MergeAction.`setEditingDomain(ICompareEditingDomain editingDomain)`

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.rcp.ui.internal.configuration

Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration that return ICompareEditingDomain
Modifier and Type
Method
Description
`ICompareEditingDomain`
IEMFCompareConfiguration.`getEditingDomain()`
`ICompareEditingDomain`
ICompareEditingDomainChange.`getNewValue()`
`ICompareEditingDomain`
ICompareEditingDomainChange.`getOldValue()`
Methods in org.eclipse.emf.compare.rcp.ui.internal.configuration with parameters of type ICompareEditingDomain
Modifier and Type
Method
Description
`void`
IEMFCompareConfiguration.`setEditingDomain(ICompareEditingDomain editingDomain)`

## Uses of ICompareEditingDomain in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl

Constructors in org.eclipse.emf.compare.rcp.ui.internal.configuration.impl with parameters of type ICompareEditingDomain
Modifier
Constructor
Description
``
`CompareEditingDomainChange(ICompareEditingDomain oldValue, ICompareEditingDomain newValue)`